Name:          google-collections
Version:       1.0
Release:       %mkrel 2
Summary:       Google Collections Library
Group:         Development/Java
License:       ASL 2.0
Url:           http://code.google.com/p/google-collections/
# svn checkout http://google-collections.googlecode.com/svn/trunk/ google-collections-1.0
# tar czf google-collections-1.0-src-svn.tar.gz google-collections-1.0
Source0:       google-collections-1.0-src-svn.tar.gz
Source1:       google-collections-1.0.pom

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: jsr-305
Requires:      jsr-305
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
Google Collections Library is a suite of new collections and collection-related goodness for Java 5.0.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n google-collections-%{version}
for j in $(find . -name "*.jar"); do
  mv $j ${j}.no
done
pushd lib
  ln -sf $(build-classpath jsr-305) jsr305.jar
popd
cp -pr %{SOURCE1} pom.xml
%build

#export CLASSPATH=$(build-classpath jsr-305)
#ant -Dversion=%{version} dist
mvn-rpmbuild  -Dmaven.test.skip=true install javadoc:javadoc

%install
mkdir -p %{buildroot}%{_javadir}

#pushd build/dist/google-collect-%{version}

  install -pm 644 target/%{name}-%{version}.jar \
    %{buildroot}%{_javadir}/%{name}-%{version}.jar

  (
    cd %{buildroot}%{_javadir}
    for jar in *-%{version}*; do
      ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`
    done
  )

  mkdir -p %{buildroot}%{_javadocdir}/%{name}
##  cp -pr javadoc/* %{buildroot}%{_javadocdir}/%{name}
  cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}
#popd

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files
%{_javadir}/*.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc COPYING

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Fri Nov 04 2011 dmorgan <dmorgan> 1.0-2.mga2
+ Revision: 162593
- Install pom files

* Fri Nov 04 2011 gil <gil> 1.0-1.mga2
+ Revision: 162588
- imported package google-collections

